Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.5 M2
    • Component/s: Core, OXM, XML
    • Labels:
      None

      Description

      We need to increase support for JAXP 1.6 (including in Java 6), including stuff like javax.xml.transform.stax, the built-in JAXB 2, etc.

        Activity

        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Since this feature will require JDK 6 to build, I'm afraid this will have to be postponed until Apple releases a stable Java 6 JDK.

        Show
        arjen.poutsma Arjen Poutsma added a comment - Since this feature will require JDK 6 to build, I'm afraid this will have to be postponed until Apple releases a stable Java 6 JDK.
        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Done, though it took over a month, because of various issues. For one thing, Java 6 includes many jars out of the box (JAXB, SAAJ), which don't have all the functionality required by SWS. But at least it builds now.

        In short: Java 6 is now required for building.

        Show
        arjen.poutsma Arjen Poutsma added a comment - Done, though it took over a month, because of various issues. For one thing, Java 6 includes many jars out of the box (JAXB, SAAJ), which don't have all the functionality required by SWS. But at least it builds now. In short: Java 6 is now required for building.
        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Closing 1.5 M2 issues.

        Show
        arjen.poutsma Arjen Poutsma added a comment - Closing 1.5 M2 issues.

          People

          • Assignee:
            arjen.poutsma Arjen Poutsma
            Reporter:
            arjen.poutsma Arjen Poutsma
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: